Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.application5
Interface ApplicationType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ApplicationTypeImpl

    public interface ApplicationType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `applicationType` xsd type

Original Documentation:

The applicationType defines the structure of the
application.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<ApplicationType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getLibraryDirectory()` Returns the `library-directory` element
`java.util.List<ModuleType<ApplicationType<T>>>` | `getModuleList()` Returns all `module` elements
`java.util.List<SecurityRoleType<ApplicationType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<ApplicationType<T>>` | `icon()` Returns the `icon` element
`ModuleType<ApplicationType<T>>` | `module()` Returns the `module` element
`ApplicationType<T>` | `removeAllDescription()` Removes the `description` element
`ApplicationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ApplicationType<T>` | `removeAllIcon()` Removes all `icon` elements
`ApplicationType<T>` | `removeAllModule()` Removes all `module` elements
`ApplicationType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`ApplicationType<T>` | `removeLibraryDirectory()` Removes the `library-directory` element
`ApplicationType<T>` | `removeVersion()` Removes the `version` attribute
`SecurityRoleType<ApplicationType<T>>` | `securityRole()` Returns the `security-role` element
`ApplicationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ApplicationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ApplicationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ApplicationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ApplicationType<T>` | `setLibraryDirectory(java.lang.String libraryDirectory)` If not already created, a new `library-directory` element with the given value will be created.
`ApplicationType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ApplicationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ApplicationType`

### setDescriptionList

    ApplicationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDescription

    ApplicationType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ApplicationType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ApplicationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ApplicationType`

### setDisplayNameList

    ApplicationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDisplayName

    ApplicationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ApplicationType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ApplicationType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ApplicationType`

### icon

    IconType<ApplicationType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ApplicationType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllModule

    ApplicationType<T> removeAllModule()

  Removes all `module` elements

  Returns:
    the current instance of `ApplicationType`

### module

    ModuleType<ApplicationType<T>> module()

  Returns the `module` element

  Returns:
    the node defined for the element `module`

### getModuleList

    java.util.List<ModuleType<ApplicationType<T>>> getModuleList()

  Returns all `module` elements

  Returns:
    list of `module`

### removeAllSecurityRole

    ApplicationType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `ApplicationType`

### securityRole

    SecurityRoleType<ApplicationType<T>> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<ApplicationType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### setLibraryDirectory

    ApplicationType<T> setLibraryDirectory(java.lang.String libraryDirectory)

  If not already created, a new `library-directory` element with the given value will be created. Otherwise, the existing `library-directory` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationType`

### removeLibraryDirectory

    ApplicationType<T> removeLibraryDirectory()

  Removes the `library-directory` element

  Returns:
    the current instance of `ApplicationType`

### getLibraryDirectory

    java.lang.String getLibraryDirectory()

  Returns the `library-directory` element

  Returns:
    the node defined for the element `library-directory`

### setVersion

    ApplicationType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `ApplicationType`

### removeVersion

    ApplicationType<T> removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `ApplicationType`

### getVersion

    java.lang.String getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD